Subject: Re: [bug#48607] [PATCH] documentation: add explanation for wireguard keep-alive setting
From: Guillaume Le Vaillant <[email-masked]>
To: Solene Rapenne <[email-masked]>
Cc: [email-masked]
Date: Sun, 23 May 2021 17:11:38 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Solene Rapenne <[email-masked]> skribis:

> Le Sun, 23 May 2021 16:11:00 +0000,
> Guillaume Le Vaillant <[email-masked]> a écrit :
>
>> Solene Rapenne <[email-masked]> skribis:
>> 
>> > ---
>> >  doc/guix.texi | 5 +++++
>> >  1 file changed, 5 insertions(+)
>> >
>> > diff --git a/doc/guix.texi b/doc/guix.texi
>> > index e8b0485f78..1d2d14d332 100644
>> > --- a/doc/guix.texi
>> > +++ b/doc/guix.texi
>> > @@ -27104,6 +27104,11 @@ the file does not exist.
>> >  The authorized peers on this interface.  This is a list of
>> >  @var{wireguard-peer} records.
>> >  
>> > +@item @code{keep-alive} (default: @code{#f})
>> > +The seconds between keepalive packets, may be required to keep the
>> > VPN +alive behind a NAT.  When set to @code{#f} there is no
>> > keepalive and +the VPN is fully stateless.
>> > +
>> >  @end table
>> >  @end deftp  
>> 
>> Hi,
>> 
>> There's already a description for 'keep-alive' in the section about
>> the 'wireguard-peer' data type, around line 27128.
>
> Indeed, I missed it, but then why doesn't it appear on this url?
> https://guix.gnu.org/manual/en/guix.html#index-wireguard_002dpeer

I guess it was added after the branch for the current stable version of
Guix was created.
It appears in the manual of the current/devel version at
https://guix.gnu.org/manual/devel/en/guix.html#index-wireguard_002dpeer

I'm closing this issue then.